Subject: bug#68183: 28.3; vc-dir fails when I have a certain branch checked out

From: Eli Zaretskii <[email-masked]>
Date: Sun, 31 Dec 2023 21:34:27 +0200

> From: Tom Tromey <[email-masked]>
> Date: Sun, 31 Dec 2023 11:59:11 -0700
> 
> 
> I use vc-dir frequently.
> 
> When I check out one particular branch of my gdb repository, vc-dir
> fails with this error:
> 
> vc-do-command: Failed (status 2): git --no-pager remote get-url . .
> 
> The only thing that might be peculiar about this branch is that it uses
> another local branch as its tracking branch.
> 
> If I check out other branches in this repository -- ones that track
> remote branches -- vc-dir works again.

Thanks, but I think we'd appreciate a reproducible recipe for this:
how can one create a Git repository which can be used to reproduce
this issue?